package com.sun.corba.se.spi.oa;

import org.omg.CORBA.Object;
import org.omg.PortableInterceptor.ObjectReferenceFactory;
import org.omg.PortableInterceptor.ObjectReferenceTemplate;
import com.sun.corba.se.spi.ior.IORTemplate;
import org.omg.CORBA.Policy;
import com.sun.corba.se.spi.orb.ORB;

public interface ObjectAdapter
{
    public abstract ORB getORB();
    
    public abstract Policy getEffectivePolicy(int p0);
    
    public abstract IORTemplate getIORTemplate();
    
    public abstract int getManagerId();
    
    public abstract short getState();
    
    public abstract ObjectReferenceTemplate getAdapterTemplate();
    
    public abstract ObjectReferenceFactory getCurrentFactory();
    
    public abstract void setCurrentFactory(ObjectReferenceFactory p0);
    
    public abstract org.omg.CORBA.Object getLocalServant(byte[] p0);
    
    public abstract void getInvocationServant(OAInvocationInfo p0);
    
    public abstract void enter() throws OADestroyed;
    
    public abstract void exit();
    
    public abstract void returnServant();
    
    public abstract OAInvocationInfo makeInvocationInfo(byte[] p0);
    
    public abstract String[] getInterfaces(Object p0, byte[] p1);
}
